<div class="suggestion-list-container" zs-keyboard-navigable-list highlightable-items="$ctrl.getSuggestions()"
  key-input-delegate="$ctrl.getKeyInputDelegate()" on-key-commit="$ctrl.handleKeyCommit($item, $event)"
  on-key-highlight="$ctrl.handleHighlight($item, $event)">
  <div class="suggestion-list-empty ng-cloak" ng-show="!!$ctrl.label">
    {{$ctrl.label}}
  </div>

  <ul class="suggestion-list" id="{{::ctrl.listId}}">
    <li class="suggestion-list-item" ng-repeat="suggestion in $ctrl.getSuggestions() track by suggestion.id"
      ng-class="{ 'suggestion-list-item-highlighted': $ctrl.isHighlighted(suggestion) }" data-id="{{::suggestion.id}}"
      id="{{::suggestion.id}}" role="option" aria-selected="{{$ctrl.isHighlighted(suggestion)}}">
      <button class="suggestion" type="button" ng-click="$ctrl.handleSuggestionClick(suggestion)">
        <div class="suggestion-label">
          <zs-icon icon-type="{{suggestion.iconClass}}" ng-show="!!suggestion.iconClass"></zs-icon>
          <span class="suggestion-text">{{suggestion.label}}</span>
        </div>
        <div class="suggestion-description" ng-show="suggestion.description" ng-bind-html="suggestion.description"
          zs-tooltip="{{::suggestion.description}}"
          zs-tooltip-options="{ attachment: 'left middle', target: 'right middle', offset: { x: 10, y: 0 } }">

        </div>
      </button>
    </li>
  </ul>
</div>